Package com.pixelmed.utils

# Class XPathQuery

java.lang.Object
com.pixelmed.utils.XPathQuery

public class XPathQuery extends Object

The `XPathQuery` class provides a command line utility for performing XPath queries against an XML file.

For example, one can apply it to the XML representation of a DICOM object, as follows:

     java -cp pixelmed.jar com.pixelmed.utils.XPathQuery dicomfile.xml "//ImageType/value[@number=1] = 'ORIGINAL'"

See Also:
  - `XMLRepresentationOfDicomObjectFactory`

## Constructor Summary

Constructors
Constructor
Description
`XPathQuery()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getNamedAttributeValueOfElementNode(Node node, String attributeName)`
`static void`
`main(String[] arg)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XPathQuery

public XPathQuery()

## Method Details

### getNamedAttributeValueOfElementNode

public static String getNamedAttributeValueOfElementNode(Node node, String attributeName)

### main

public static void main(String[] arg)